package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.ISystem;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[System] 服务对象接口
 */
public interface ISystemClientService{

    public ISystem createModel() ;

    public void create(ISystem system);

    public void update(ISystem system);

    public void get(ISystem system);

    public void remove(ISystem system);

    public void save(ISystem system);

    public void checkKey(ISystem system);

    public void getDraft(ISystem system);

    public Page<ISystem> fetchDefault(SearchContext context);

}
